Subject: bug#26604: documentation: pdf generation is broken

From: [email-masked]
Date: Sun, 23 Apr 2017 16:15:43 +0000

Chris Marusich transcribed 1.7K bytes:
> ng0 <[email-masked]> writes:
> 
> > As long as I run guix I was never able to build the documentation
> > as pdf. What's wrong with it?
> >
> > [user@abyayala ~/src/guix/guix]$ make doc/guix.pdf
> >   TEXI2PDF doc/guix.pdf
> >   /gnu/store/jz7jq4w8d4czvgnk9as07rrdbcfjjgjj-profile/bin/texi2dvi: pdftex exited with bad status, quitting.
> >   make: *** [Makefile:3591: doc/guix.pdf] Error 1
> 
> I looked into this a week or two ago.  I think we're waiting for a newer
> release of automake?  Perhaps John Darrington knows more.  See this
> email thread, which I found at the time and seems to contain the
> relevant information:
> 
> https://lists.gnu.org/archive/html/guix-devel/2017-02/msg01074.html
> 
> -- 
> Chris

Oh, right… I've seen this scroll by some time ago.
Okay, since there is no associated open bug (at least with the
obvious keywords), I'll leave this bug open and once
the .pdf generates again it can be closed.

-- 
PGP and more: https://people.pragmatique.xyz/ng0/